Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Jan 2024 13:05:08 -0500

> Problem is that patch is, or seems to be, incompatible with
> all the other things  we're discussing.

Do you have some example of incompatibility it would introduce with the
"other things we're discussing"?

> I.e. can you clearly paint a way forward from it that solves the "what
> is this language in this buffer", "what is the language for this
> major-mode" and the "what mode should I use for that
> language" problems?

As already explained ad-nauseam, my patch has no intention to solve
those problems, but I can't see any way in which it gets in the way of
solving them, if you care to solve them.

        Stefan